import uuid
from datetime import datetime
from enum import Enum
from typing import List

from pydantic import BaseModel

from schemas import DBBase


class SpaceBase(BaseModel):
    name: str = None


# 解析请求json 创建项目
class SpaceCreate(SpaceBase):
    name: str
    project_id: str


class SpaceDelete(DBBase):
    pass


# --------------------------------------------------------------
# 数据库模型
class SpaceDB(DBBase):
    name: str
    user_id: str
    project_id: str
    rw_members: List[str] = []
    r_members: List[str] = []
    create_date: datetime = datetime.now()
